CVE-2001-0070
CVSS10.0
发布时间 :2001-02-12 00:00:00
修订时间 :2008-09-10 15:07:08
NMCOS    

[原文]Buffer overflow in 1st Up Mail Server 4.1 allows remote attackers to cause a denial of service, and possibly execute arbitrary commands, via a long MAIL FROM command.


[CNNVD]Upland Solutions 1st Up Mail Server DoS漏洞(CNNVD-200102-058)

        1st Up Mail Server 4.1版本存在缓冲区溢出漏洞。远程攻击者借助超长MAIL FROM命令导致服务拒绝和可能执行任意命令。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0070
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0070
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200102-058
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/win2ksecadvice/2000-q4/0143.html
(VENDOR_ADVISORY)  BUGTRAQ  20001226 1st Up Mail Server v4.1 Buffer Overflow Vulnerability
http://xforce.iss.net/static/5808.php
(VENDOR_ADVISORY)  XF  1stup-mail-server-bo
http://www.securityfocus.com/bid/2152
(VENDOR_ADVISORY)  BID  2152

- 漏洞信息

Upland Solutions 1st Up Mail Server DoS漏洞
危急 缓冲区溢出
2001-02-12 00:00:00 2005-10-20 00:00:00
远程※本地  
        1st Up Mail Server 4.1版本存在缓冲区溢出漏洞。远程攻击者借助超长MAIL FROM命令导致服务拒绝和可能执行任意命令。

- 公告与补丁

        1st Up Mail Server 4.1.4e is not vulnerable to this issue.

- 漏洞信息

13795
1st Up Mail Server MAIL FROM Command Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2000-12-26 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Upland Solutions 1st Up Mail Server DoS Vulnerability
Boundary Condition Error 2152
Yes Yes
2000-12-25 12:00:00 2009-07-11 04:46:00
Discovered by USSR Labs <labs@ussrback.com> and posted in a USSR Security Advisory (USSR-2000058) on Dec 25, 2000.

- 受影响的程序版本

Upland Solutions 1st Up Mail Server 4.1
Upland Solutions 1st Up Mail Server 4.1 .4e

- 不受影响的程序版本

Upland Solutions 1st Up Mail Server 4.1 .4e

- 漏洞讨论

1st Up Mail Server is an email server which supports most common internet protocols and email software offered by Upland Solutions.

It is possible to cause a denial of service in 1st Up Mail Server, the vulnerability exists in the "mail from" field. By submitting an unusually large number of characters (over 300) in the "mail from" field, an error message will display and cause the server service to stop responding. A restart of the service is required in order to gain normal functionality.

This vulnerability may be the result of a buffer overflow, although not verified this could lead to the execution of arbitrary code on the target host.

The error message that will display is as follows:

"Application popup: smtp server: smtp server.exe - Application Error : The instruction at "0x00402f23" referenced memory at "0x61616161". The memory could not be "read"."

"Click on OK to terminate the program Click on CANCEL to debug the program."

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

1st Up Mail Server 4.1.4e is not vulnerable to this issue.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站